# ITS  - CPM TS 103 324

This repository contains Collective Perception Service (TS 103 324) – Specification of the Collective Perception Message format.

## License

The content of this repository and the files contained are released under the BSD-3-Clause license.
See the attached LICENSE file or visit https://forge.etsi.org/legal-matters.

## Dependencies

To compile the CPM, the following dependencies are required:

- The **[CAM-PDU-Descriptions](https://forge.etsi.org/rep/ITS/asn1/cam_ts302637_2)** module from [ETSI EN 302 637-2 v1.4.1](https://www.etsi.org/deliver/etsi_en/302600_302699/30263702/01.04.01_60/en_30263702v010401p.pdf) - Cooperative Awareness Service
- The **[ITS-Container](https://forge.etsi.org/rep/ITS/asn1/cdd_ts102894_2)** module from [ETSI TS 102 894-2 v1.3.1](https://www.etsi.org/deliver/etsi_ts/102800_102899/10289402/01.03.01_60/ts_10289402v010301p.pdf) - Common Data Dictionary
- The **[DSRC](https://standards.iso.org/iso/ts/19091/)** module from CEN ISO/TS 19091

## Get Started

To checkout this repository, clone it (or after forking, if you want to contribute), using `git clone URL_OF_REPOSITORY --recursive`.
This will ensure that the git submodules for the CAM and CDD are also checked out.
The ISO TS 19091 dependency needs to be added manually due to copyright reasons.
