# ASN.1 module CAM-PDU-Descriptions
 OID: _{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) en (302637) cam (2) version (2) }_

## Imports:
 * **[ITS-Container](ITS-Container.md)** *{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts (102894) cdd (2) version (2) }*<br/>

## Data Elements:
### <a name="CAM"></a>CAM

Fields:
* header [**ItsPduHeader**](ITS-Container.md#ItsPduHeader) <br>
* cam [**CoopAwareness**](#CoopAwareness) <br>
```asn1
CAM ::= SEQUENCE {
	header ItsPduHeader,
	cam CoopAwareness
}
```

### <a name="CoopAwareness"></a>CoopAwareness

Fields:
* generationDeltaTime [**GenerationDeltaTime**](CAM-PDU-Descriptions.md#GenerationDeltaTime) <br>
* camParameters [**CamParameters**](#CamParameters) <br>
```asn1
CoopAwareness ::= SEQUENCE {
	generationDeltaTime GenerationDeltaTime,
	camParameters CamParameters
}
```

### <a name="CamParameters"></a>CamParameters

Fields:
* basicContainer [**BasicContainer**](#BasicContainer) <br>
* highFrequencyContainer [**HighFrequencyContainer**](#HighFrequencyContainer) <br>
* lowFrequencyContainer [**LowFrequencyContainer**](#LowFrequencyContainer)  OPTIONAL<br>
* specialVehicleContainer [**SpecialVehicleContainer**](#SpecialVehicleContainer)  OPTIONAL<br>
```asn1
CamParameters ::= SEQUENCE {
	basicContainer BasicContainer,
	highFrequencyContainer HighFrequencyContainer,
	lowFrequencyContainer LowFrequencyContainer OPTIONAL,
	specialVehicleContainer SpecialVehicleContainer OPTIONAL,
	...
}
```

### <a name="HighFrequencyContainer"></a>HighFrequencyContainer

Fields:
* basicVehicleContainerHighFrequency [**BasicVehicleContainerHighFrequency**](#BasicVehicleContainerHighFrequency) <br>
* rsuContainerHighFrequency [**RSUContainerHighFrequency**](#RSUContainerHighFrequency) <br>
```asn1
HighFrequencyContainer ::= CHOICE {
	basicVehicleContainerHighFrequency BasicVehicleContainerHighFrequency,
	rsuContainerHighFrequency RSUContainerHighFrequency,
	...
}
```

### <a name="LowFrequencyContainer"></a>LowFrequencyContainer

Fields:
* basicVehicleContainerLowFrequency [**BasicVehicleContainerLowFrequency**](#BasicVehicleContainerLowFrequency) <br>
```asn1
LowFrequencyContainer ::= CHOICE {
  basicVehicleContainerLowFrequency BasicVehicleContainerLowFrequency,
	...
}
```

### <a name="SpecialVehicleContainer"></a>SpecialVehicleContainer

Fields:
* publicTransportContainer [**PublicTransportContainer**](#PublicTransportContainer) <br>
* specialTransportContainer [**SpecialTransportContainer**](#SpecialTransportContainer) <br>
* dangerousGoodsContainer [**DangerousGoodsContainer**](#DangerousGoodsContainer) <br>
* roadWorksContainerBasic [**RoadWorksContainerBasic**](#RoadWorksContainerBasic) <br>
* rescueContainer [**RescueContainer**](#RescueContainer) <br>
* emergencyContainer [**EmergencyContainer**](#EmergencyContainer) <br>
* safetyCarContainer [**SafetyCarContainer**](#SafetyCarContainer) <br>
```asn1
SpecialVehicleContainer ::= CHOICE {
	publicTransportContainer PublicTransportContainer,
	specialTransportContainer SpecialTransportContainer,
	dangerousGoodsContainer DangerousGoodsContainer,
	roadWorksContainerBasic RoadWorksContainerBasic,
	rescueContainer RescueContainer,
	emergencyContainer EmergencyContainer,
	safetyCarContainer SafetyCarContainer,
	...
}
```

### <a name="BasicContainer"></a>BasicContainer

Fields:
* stationType [**StationType**](ITS-Container.md#StationType) <br>
* referencePosition [**ReferencePosition**](ITS-Container.md#ReferencePosition) <br>
```asn1
BasicContainer ::= SEQUENCE {
	stationType StationType,
	referencePosition ReferencePosition,
	...
}
```

### <a name="BasicVehicleContainerHighFrequency"></a>BasicVehicleContainerHighFrequency

Fields:
* heading [**Heading**](ITS-Container.md#Heading) <br>
* speed [**Speed**](ITS-Container.md#Speed) <br>
* driveDirection [**DriveDirection**](ITS-Container.md#DriveDirection) <br>
* vehicleLength [**VehicleLength**](ITS-Container.md#VehicleLength) <br>
* vehicleWidth [**VehicleWidth**](ITS-Container.md#VehicleWidth) <br>
* longitudinalAcceleration [**LongitudinalAcceleration**](ITS-Container.md#LongitudinalAcceleration) <br>
* curvature [**Curvature**](ITS-Container.md#Curvature) <br>
* curvatureCalculationMode [**CurvatureCalculationMode**](ITS-Container.md#CurvatureCalculationMode) <br>
* yawRate [**YawRate**](ITS-Container.md#YawRate) <br>
* accelerationControl [**AccelerationControl**](ITS-Container.md#AccelerationControl)  OPTIONAL<br>
* lanePosition [**LanePosition**](ITS-Container.md#LanePosition)  OPTIONAL<br>
* steeringWheelAngle [**SteeringWheelAngle**](ITS-Container.md#SteeringWheelAngle)  OPTIONAL<br>
* lateralAcceleration [**LateralAcceleration**](ITS-Container.md#LateralAcceleration)  OPTIONAL<br>
* verticalAcceleration [**VerticalAcceleration**](ITS-Container.md#VerticalAcceleration)  OPTIONAL<br>
* performanceClass [**PerformanceClass**](ITS-Container.md#PerformanceClass)  OPTIONAL<br>
* cenDsrcTollingZone [**CenDsrcTollingZone**](ITS-Container.md#CenDsrcTollingZone)  OPTIONAL<br>
```asn1
BasicVehicleContainerHighFrequency ::= SEQUENCE {
	heading Heading,
	speed Speed,
	driveDirection DriveDirection,
	vehicleLength VehicleLength,
	vehicleWidth VehicleWidth,
	longitudinalAcceleration LongitudinalAcceleration,
	curvature Curvature,
	curvatureCalculationMode CurvatureCalculationMode,
	yawRate YawRate,
	accelerationControl AccelerationControl OPTIONAL,
	lanePosition LanePosition OPTIONAL,
	steeringWheelAngle SteeringWheelAngle OPTIONAL,
	lateralAcceleration LateralAcceleration OPTIONAL,
	verticalAcceleration VerticalAcceleration OPTIONAL,
	performanceClass PerformanceClass OPTIONAL,
	cenDsrcTollingZone CenDsrcTollingZone OPTIONAL
}
```

### <a name="BasicVehicleContainerLowFrequency"></a>BasicVehicleContainerLowFrequency

Fields:
* vehicleRole [**VehicleRole**](ITS-Container.md#VehicleRole) <br>
* exteriorLights [**ExteriorLights**](ITS-Container.md#ExteriorLights) <br>
* pathHistory [**PathHistory**](ITS-Container.md#PathHistory) <br>
```asn1
BasicVehicleContainerLowFrequency  ::= SEQUENCE {
	vehicleRole VehicleRole,
	exteriorLights ExteriorLights,
	pathHistory PathHistory
}
```

### <a name="PublicTransportContainer"></a>PublicTransportContainer

Fields:
* embarkationStatus [**EmbarkationStatus**](ITS-Container.md#EmbarkationStatus) <br>
* ptActivation [**PtActivation**](ITS-Container.md#PtActivation)  OPTIONAL<br>
```asn1
PublicTransportContainer ::= SEQUENCE {
	embarkationStatus EmbarkationStatus,
	ptActivation PtActivation OPTIONAL
}
```

### <a name="SpecialTransportContainer"></a>SpecialTransportContainer

Fields:
* specialTransportType [**SpecialTransportType**](ITS-Container.md#SpecialTransportType) <br>
* lightBarSirenInUse [**LightBarSirenInUse**](ITS-Container.md#LightBarSirenInUse) <br>
```asn1
SpecialTransportContainer ::= SEQUENCE {
	specialTransportType SpecialTransportType,
	lightBarSirenInUse LightBarSirenInUse
}
```

### <a name="DangerousGoodsContainer"></a>DangerousGoodsContainer

Fields:
* dangerousGoodsBasic [**DangerousGoodsBasic**](ITS-Container.md#DangerousGoodsBasic) <br>
```asn1
DangerousGoodsContainer ::= SEQUENCE {
  dangerousGoodsBasic DangerousGoodsBasic
 }
```

### <a name="RoadWorksContainerBasic"></a>RoadWorksContainerBasic

Fields:
* roadworksSubCauseCode [**RoadworksSubCauseCode**](ITS-Container.md#RoadworksSubCauseCode)  OPTIONAL<br>
* lightBarSirenInUse [**LightBarSirenInUse**](ITS-Container.md#LightBarSirenInUse) <br>
* closedLanes [**ClosedLanes**](ITS-Container.md#ClosedLanes)  OPTIONAL<br>
```asn1
RoadWorksContainerBasic ::= SEQUENCE {
  roadworksSubCauseCode RoadworksSubCauseCode OPTIONAL,
  lightBarSirenInUse LightBarSirenInUse,
  closedLanes ClosedLanes OPTIONAL
 }
```

### <a name="RescueContainer"></a>RescueContainer

Fields:
* lightBarSirenInUse [**LightBarSirenInUse**](ITS-Container.md#LightBarSirenInUse) <br>
```asn1
RescueContainer ::= SEQUENCE {
	lightBarSirenInUse LightBarSirenInUse
}
```

### <a name="EmergencyContainer"></a>EmergencyContainer

Fields:
* lightBarSirenInUse [**LightBarSirenInUse**](ITS-Container.md#LightBarSirenInUse) <br>
* incidentIndication [**CauseCode**](ITS-Container.md#CauseCode)  OPTIONAL<br>
* emergencyPriority [**EmergencyPriority**](ITS-Container.md#EmergencyPriority)  OPTIONAL<br>
```asn1
EmergencyContainer ::= SEQUENCE {
	lightBarSirenInUse LightBarSirenInUse,
	incidentIndication CauseCode OPTIONAL,
	emergencyPriority EmergencyPriority OPTIONAL
}
```

### <a name="SafetyCarContainer"></a>SafetyCarContainer

Fields:
* lightBarSirenInUse [**LightBarSirenInUse**](ITS-Container.md#LightBarSirenInUse) <br>
* incidentIndication [**CauseCode**](ITS-Container.md#CauseCode)  OPTIONAL<br>
* trafficRule [**TrafficRule**](ITS-Container.md#TrafficRule)  OPTIONAL<br>
* speedLimit [**SpeedLimit**](ITS-Container.md#SpeedLimit)  OPTIONAL<br>
```asn1
SafetyCarContainer ::= SEQUENCE {
	lightBarSirenInUse LightBarSirenInUse,
	incidentIndication CauseCode OPTIONAL,
	trafficRule TrafficRule OPTIONAL,
	speedLimit SpeedLimit OPTIONAL
}
```

### <a name="RSUContainerHighFrequency"></a>RSUContainerHighFrequency

Fields:
* protectedCommunicationZonesRSU [**ProtectedCommunicationZonesRSU**](ITS-Container.md#ProtectedCommunicationZonesRSU)  OPTIONAL<br>
```asn1
RSUContainerHighFrequency ::= SEQUENCE {
	protectedCommunicationZonesRSU ProtectedCommunicationZonesRSU OPTIONAL,
	...
}
```

### <a name="GenerationDeltaTime"></a>GenerationDeltaTime

```asn1
GenerationDeltaTime ::= INTEGER { oneMilliSec(1) } (0..65535)
```



