# ASN.1 module CPM-FreeSpaceAddendum-Descriptions
 OID: _{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts (103324) freeSpaceAddendum (6) version1 (1) }_

## Imports:
 * **[CPM-CommonDataTypes-Descriptions](CPM-CommonDataTypes-Descriptions.md)** *{itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts (103324) commonDataTypes (2) version1 (1)}*<br/>

## Data Elements:
### <a name="FreeSpaceAddendumContainer"></a>FreeSpaceAddendumContainer

Free Space Addendum Container
A list of provided free space addendums. Each addendum shall be described asa provided by
@see FreeSpaceAddendum.


```asn1
FreeSpaceAddendumContainer ::= SEQUENCE SIZE(1..128, ...) OF FreeSpaceAddendum
```

### <a name="FreeSpaceAddendum"></a>FreeSpaceAddendum

Free Space Addendum
This container shall only be added if the confidence indication needs to be altered with respect
to the isotropic @see FreeSpaceConfidence confidence level indication provided in the
@see SensorInformation.

Fields:
* freeSpaceConfidence [**FreeSpaceConfidence**](CPM-CommonDataTypes-Descriptions.md#FreeSpaceConfidence) <br>
   @detailsfreeSpaceConfidence
   Describes an isotropic free space confidence that applies to the entire area as defined in
   the @see freeSpaceArea of a particular free space addendum container.
   
* freeSpaceArea [**FreeSpaceArea**](#FreeSpaceArea) <br>

   Describes the free space area for which the free space confidence of this addendum
   container is valid.
   
* sensorIDList [**SensorIdList**](CPM-CommonDataTypes-Descriptions.md#SensorIdList)  OPTIONAL<br>

   Provides a list of pseudonym sensor IDs which performed the measurement to indicate the
   free space.
   
* shadowingApplies [**ShadowingApplies**](CPM-CommonDataTypes-Descriptions.md#ShadowingApplies)  DEFAULT TRUE<br>
```asn1
FreeSpaceAddendum ::= SEQUENCE {
        freeSpaceConfidence    FreeSpaceConfidence,
        freeSpaceArea          FreeSpaceArea,
	    sensorIDList           SensorIdList OPTIONAL,
        shadowingApplies       ShadowingApplies DEFAULT TRUE,
	...
}
```

### <a name="FreeSpaceArea"></a>FreeSpaceArea

Free Space Area
The described area that is considered as not occupied by any traffic participant or obstacle by
the disseminating ITS-S.

Fields:
* freeSpacePolygon [**AreaPolygon**](CPM-CommonDataTypes-Descriptions.md#AreaPolygon) <br>

   A sequence of node points from a given offset point to describe an arbitrary area shape.
   
* freeSpaceCircular [**AreaCircular**](CPM-CommonDataTypes-Descriptions.md#AreaCircular) <br>
* freeSpaceEllipse [**AreaEllipse**](CPM-CommonDataTypes-Descriptions.md#AreaEllipse) <br>

   A description of an elliptical area.
   
* freeSpaceRectangle [**AreaRectangle**](CPM-CommonDataTypes-Descriptions.md#AreaRectangle) <br>

   A description of a rectangular area.
   
```asn1
FreeSpaceArea ::= CHOICE {
        freeSpacePolygon     AreaPolygon,
        freeSpaceCircular    AreaCircular,
        freeSpaceEllipse     AreaEllipse,
        freeSpaceRectangle   AreaRectangle,
    ...
}
```



