# ASN.1 module CPM-OriginatingStationData-Descriptions
 OID: _{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts (103324) originatingStationData (3) version1 (1) }_

## Imports:
 * **[ITS-Container](ITS-Container.md)** *{itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts (102894) cdd (2) version (2)}*<br/>
   Include ETSI TS 102 894-2
   Include references from https://forge.etsi.org/rep/ITS/ITS_ASN1/blob/master/CDD_TS102894-2/ITS-Container.asn

 * **[DSRC](DSRC.md)** *{iso (1) standard (0) signalizedIntersection (19091) profilec(2) dsrc (2) version2 (2)}*<br/>
   Include ISO 19091
   Include references from https://standards.iso.org/iso/ts/19091/ed-2/en/ISO-TS-19091-addgrp-C-2018.asn

 * **[CPM-CommonDataTypes-Descriptions](CPM-CommonDataTypes-Descriptions.md)** *{itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts (103324) commonDataTypes (2) version1 (1)}*<br/>

## Data Elements:
### <a name="OriginatingVehicleContainer"></a>OriginatingVehicleContainer

Originating Vehicle Container
The _originatingVehicleContainer_ provides detailed information about the vehicle ITS-S
disseminating the CPM.


```asn1
OriginatingVehicleContainer ::= SEQUENCE {
        heading                     Heading,
        speed                       Speed,
        verticalSpeed               SpeedExtended OPTIONAL,
```

### <a name="OriginatingRSUContainer"></a>OriginatingRSUContainer


Angle and angle accuracy of the absolute orientation of the disseminating vehicle in the
WGS84 coordinate system with respect to true North. This is opposed to the vehicle heading
which is calculated taking into account the speed vector. The confidence denotes the accuracy
of the measured angle value for a confidence level of 95 %.
Angle and angle accuracy between the ground plane and the current orientation of a vehicle's
x-axis with respect to the ground plane about the y-axis according to the ISO 8855.
Angle and angle accuracy between the ground plane and the current orientation of a vehicle's
y-axis with respect to the ground plane about the x-axis according to the ISO 8855
Provides detailed information about the trailers dimensions and orientation in case a trailer is present.

Originating RSU Container
The _originatingRSUContainer_ provides information about the RSU type ITS-S disseminating the CPM.

Fields:
* intersectionReferenceId [**IntersectionReferenceID**](DSRC.md#IntersectionReferenceID) <br>

   Conveys the combination of an optional RoadRegulatorID and of an IntersectionID that is
   unique within that region. When the RoadRegulatorID is present, the IntersectionReferenceID
   is guaranteed to be globally unique.
   
* roadSegmentReferenceId [**RoadSegmentReferenceID**](DSRC.md#RoadSegmentReferenceID) <br>

   Conveys the RoadSegmentReferenceID which is unique to a given road segment of interest, and
   also the RoadRegulatorID assigned to the region in which it is operating
   
```asn1
OriginatingRSUContainer ::= CHOICE {
        intersectionReferenceId     IntersectionReferenceID,
        roadSegmentReferenceId      RoadSegmentReferenceID,
    ...
}
```



