# ASN.1 module VAM-PDU-Descriptions
 OID: _{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg1(1) ts(103300) vam(1) version1(1)}_

## Imports:
 * **[ITS-Container](ITS-Container.md)** *{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg1(1) ts(102894) cdd(2) version(2)}*<br/>

 * **[CAM-PDU-Descriptions](CAM-PDU-Descriptions.md)** *{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg1(1) en(302637) cam(2) version(2)}*<br/>

 * **[VAM-Temp-Imports](VAM-Temp-Imports.md)** *{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg1(1) ts(103300) temp-imports(255) version1(1)} WITH SUCCESSORS*<br/>

 * **[DSRC](DSRC.md)** *{iso (1) standard (0) signalizedIntersection (19091) profilec(2) dsrc (2) version (2)}*<br/>

## Data Elements:
### <a name="VAM"></a>VAM

Fields:
* header [**ItsPduHeaderVam**](#ItsPduHeaderVam) <br>
* vam [**VruAwareness**](#VruAwareness) <br>
```asn1
VAM ::= SEQUENCE {
        header ItsPduHeaderVam,
        vam    VruAwareness
    }
```

### <a name="ItsPduHeaderVam"></a>ItsPduHeaderVam

```asn1
ItsPduHeaderVam ::= ItsPduHeader(WITH COMPONENTS {
        ...,
        messageID(vam)
    })
```

### <a name="VruAwareness"></a>VruAwareness

Fields:
* generationDeltaTime [**GenerationDeltaTime**](CAM-PDU-Descriptions.md#GenerationDeltaTime) <br>
* vamParameters [**VamParameters**](#VamParameters) <br>
```asn1
VruAwareness ::= SEQUENCE {
        generationDeltaTime  GenerationDeltaTime, 
        vamParameters        VamParameters 
    }
```

### <a name="VamParameters"></a>VamParameters

Fields:
* basicContainer [**BasicContainer**](VAM-Temp-Imports.md#BasicContainer) <br>
* vruHighFrequencyContainer [**VruHighFrequencyContainer**](#VruHighFrequencyContainer)  OPTIONAL<br>
* vruLowFrequencyContainer [**VruLowFrequencyContainer**](#VruLowFrequencyContainer)  OPTIONAL<br>
* vruClusterInformationContainer [**VruClusterInformationContainer**](#VruClusterInformationContainer)  OPTIONAL<br>
* vruClusterOperationContainer [**VruClusterOperationContainer**](#VruClusterOperationContainer)  OPTIONAL<br>
* vruMotionPredictionContainer [**VruMotionPredictionContainer**](#VruMotionPredictionContainer)  OPTIONAL<br>
```asn1
VamParameters ::= SEQUENCE {
        basicContainer                 BasicContainer, 
        vruHighFrequencyContainer      VruHighFrequencyContainer OPTIONAL, 
        vruLowFrequencyContainer       VruLowFrequencyContainer OPTIONAL,
        vruClusterInformationContainer VruClusterInformationContainer OPTIONAL,
        vruClusterOperationContainer   VruClusterOperationContainer OPTIONAL,
        vruMotionPredictionContainer   VruMotionPredictionContainer OPTIONAL,
        ...
    }
```

### <a name="VruProfile"></a>VruProfile

```asn1
VruProfile ::= ENUMERATED {
        unavailable(0), pedestrian(1), cyclist(2), motorcyclist(3), animal(4),
        max(15)
    }
```

### <a name="VruHighFrequencyContainer"></a>VruHighFrequencyContainer

Fields:
* heading [**Heading**](ITS-Container.md#Heading) <br>
* speed [**Speed**](ITS-Container.md#Speed) <br>
* longitudinalAcceleration [**LongitudinalAcceleration**](ITS-Container.md#LongitudinalAcceleration) <br>
* curvature [**Curvature**](ITS-Container.md#Curvature)  OPTIONAL<br>
* curvatureCalculationMode [**CurvatureCalculationMode**](ITS-Container.md#CurvatureCalculationMode)  OPTIONAL<br>
* yawRate [**YawRate**](ITS-Container.md#YawRate)  OPTIONAL<br>
* lateralAcceleration [**LateralAcceleration**](ITS-Container.md#LateralAcceleration)  OPTIONAL<br>
* verticalAcceleration [**VerticalAcceleration**](ITS-Container.md#VerticalAcceleration)  OPTIONAL<br>
* vruLanePosition [**VruLanePosition**](#VruLanePosition)  OPTIONAL<br>
* environment [**VruEnvironment**](#VruEnvironment)  OPTIONAL<br>
* movementControl [**VruMovementControl**](#VruMovementControl)  OPTIONAL<br>
* orientation [**VruOrientation**](#VruOrientation)  OPTIONAL<br>
* rollAngle [**VruRollAngle**](#VruRollAngle)  OPTIONAL<br>
* deviceUsage [**VruDeviceUsage**](#VruDeviceUsage)  OPTIONAL<br>
```asn1
VruHighFrequencyContainer ::= SEQUENCE {
        heading                  Heading,  
        speed                    Speed, 
        longitudinalAcceleration LongitudinalAcceleration, 
        curvature                Curvature OPTIONAL, 
        curvatureCalculationMode CurvatureCalculationMode OPTIONAL, 
        yawRate                  YawRate OPTIONAL, 
        lateralAcceleration      LateralAcceleration OPTIONAL, 
        verticalAcceleration     VerticalAcceleration OPTIONAL, 
        vruLanePosition          VruLanePosition OPTIONAL,
        environment              VruEnvironment OPTIONAL,
        movementControl          VruMovementControl OPTIONAL,
        orientation              VruOrientation OPTIONAL,
        rollAngle                VruRollAngle OPTIONAL, 
        deviceUsage              VruDeviceUsage OPTIONAL,
        ...
    }
```

### <a name="VruLanePosition"></a>VruLanePosition

Fields:
* offRoadLanePosition [**OffRoadLanePosition**](#OffRoadLanePosition) <br>
* vehicularLanePosition [**LanePosition**](ITS-Container.md#LanePosition) <br>
* trafficIslandPosition [**TrafficIslandPosition**](#TrafficIslandPosition) <br>
* mapPosition [**MapPosition**](#MapPosition) <br>
```asn1
VruLanePosition ::= CHOICE {
        offRoadLanePosition    OffRoadLanePosition,
        vehicularLanePosition  LanePosition, 
        trafficIslandPosition  TrafficIslandPosition,
        mapPosition            MapPosition,
        ...
    }
```

### <a name="OffRoadLanePosition"></a>OffRoadLanePosition

```asn1
OffRoadLanePosition ::= ENUMERATED {
        unavailable(0), sidewalk(1), parkingLane(2), bikeLane(3), 
        max(15)
    }
```

### <a name="TrafficIslandPosition"></a>TrafficIslandPosition

Fields:
* oneSide [**NonIslandLanePosition**](#NonIslandLanePosition) <br>
* otherSide [**NonIslandLanePosition**](#NonIslandLanePosition) <br>
```asn1
TrafficIslandPosition ::= SEQUENCE {
        oneSide    NonIslandLanePosition,
        otherSide  NonIslandLanePosition,
        ...
    }
```

### <a name="NonIslandLanePosition"></a>NonIslandLanePosition

Fields:
* offRoadLanePosition [**OffRoadLanePosition**](#OffRoadLanePosition) <br>
* vehicularLanePosition [**LanePosition**](ITS-Container.md#LanePosition) <br>
* mapPosition [**MapPosition**](#MapPosition) <br>
```asn1
NonIslandLanePosition ::= CHOICE {
        offRoadLanePosition    OffRoadLanePosition,
        vehicularLanePosition  LanePosition, 
        mapPosition            MapPosition,
        ...
    }
```

### <a name="MapPosition"></a>MapPosition

Fields:
* intersectionId [**IntersectionReferenceID**](DSRC.md#IntersectionReferenceID) <br>
* lane [**LaneID**](DSRC.md#LaneID) <br>
```asn1
MapPosition ::= SEQUENCE {
        intersectionId    IntersectionReferenceID,
        lane              LaneID
    }
```

### <a name="VruEnvironment"></a>VruEnvironment

Values:
* **unavailable** (0)<br>
* **--** values 6-254 reserved for later use<br>
```asn1
VruEnvironment ::= ENUMERATED {
        unavailable (0), intersectionCrossing(1), zebraCrossing(2), sidewalk (3),
        onVehicleRoad(4), protectedGeographicArea(5), max (255)
    }
```

### <a name="VruMovementControl"></a>VruMovementControl

Values:
* **unavailable** (0)<br>
* **--** values 7-254 reserved for later use<br>
```asn1
VruMovementControl ::= ENUMERATED {
        unavailable (0), braking(1), hardBraking(2), stopPedaling (3),
        brakingAndStopPedaling(4), hardBrakingAndStopPedaling (5), 
        noReaction(6),   max (255)
    }
```

### <a name="VruOrientation"></a>VruOrientation

```asn1
VruOrientation ::= Heading 
```

### <a name="VruRollAngle"></a>VruRollAngle

```asn1
VruRollAngle ::= Heading 
```

### <a name="VruDeviceUsage"></a>VruDeviceUsage

Values:
* **--** values 9-254 reserved for later use<br>
```asn1
VruDeviceUsage ::= ENUMERATED {
        unavailable(0), other(1), idle(2), listeningToAudio(3), typing(4),
        calling(5), playingGames(6), reading(7), viewing(8), max(255)
    }
```

### <a name="VruLowFrequencyContainer"></a>VruLowFrequencyContainer

Fields:
* profileAndSubprofile [**VruProfileAndSubprofile**](VAM-PDU-Descriptions.md#VruProfileAndSubprofile)  OPTIONAL<br>
* exteriorLights [**VruExteriorLights**](#VruExteriorLights)  OPTIONAL<br>
* sizeClass [**VruSizeClass**](#VruSizeClass)  OPTIONAL<br>
```asn1
VruLowFrequencyContainer ::= SEQUENCE {
        profileAndSubprofile     VruProfileAndSubprofile OPTIONAL,
        exteriorLights           VruExteriorLights OPTIONAL,
        sizeClass                VruSizeClass OPTIONAL,
       ...
    }
```

### <a name="VruProfileAndSubprofile"></a>VruProfileAndSubprofile

Fields:
* pedestrian [**VruSubProfilePedestrian**](#VruSubProfilePedestrian) <br>
* bicyclist [**VruSubProfileBicyclist**](#VruSubProfileBicyclist) <br>
* motorcylist [**VruSubProfileMotorcyclist**](#VruSubProfileMotorcyclist) <br>
* animal [**VruSubProfileAnimal**](#VruSubProfileAnimal) <br>
```asn1
VruProfileAndSubprofile ::= CHOICE {
      pedestrian  VruSubProfilePedestrian,
      bicyclist     VruSubProfileBicyclist,
      motorcylist VruSubProfileMotorcyclist,
      animal      VruSubProfileAnimal,
      ...
    }
```

### <a name="VruSubProfilePedestrian"></a>VruSubProfilePedestrian

```asn1
VruSubProfilePedestrian ::= ENUMERATED {
      unavailable(0), ordinary-pedestrian(1),
      road-worker(2), first-responder(3),
      max(15)
    }
```

### <a name="VruSubProfileBicyclist"></a>VruSubProfileBicyclist

```asn1
VruSubProfileBicyclist ::= ENUMERATED {
      unavailable(0), bicyclist(1), wheelchair-user(2), horse-and-rider(3), 
      rollerskater(4), e-scooter(5), personal-transporter(6),
      pedelec(7), speed-pedelec(8),
      max(15)
    }
```

### <a name="VruSubProfileMotorcyclist"></a>VruSubProfileMotorcyclist

```asn1
VruSubProfileMotorcyclist ::= ENUMERATED {
      unavailable(0), moped(1), motorcycle(2), motorcycle-and-sidecar-right(3), 
      motorcycle-and-sidecar-left(4), max(15)
    }
```

### <a name="VruSubProfileAnimal"></a>VruSubProfileAnimal

```asn1
VruSubProfileAnimal ::= ENUMERATED {
      unavailable(0), wild-animal(1), farm-animal(2), service-animal(3),   max(15)
    }
```

### <a name="VruExteriorLights"></a>VruExteriorLights

Fields:
* vruSpecific [**VruSpecificExteriorLights**](#VruSpecificExteriorLights) <br>
* vehicular [**ExteriorLights**](ITS-Container.md#ExteriorLights) <br>
```asn1
VruExteriorLights ::= SEQUENCE {
        vruSpecific     VruSpecificExteriorLights, 
        vehicular         ExteriorLights
    }
```

### <a name="VruSpecificExteriorLights"></a>VruSpecificExteriorLights

Values:
* **unavailable** (0)<br>
* **backFlashLight** (1)<br>
* **helmetLight** (2)<br>
* **armLight** (3)<br>
* **legLight** (4)<br>
* **wheelLight** (5)<br>
```asn1
VruSpecificExteriorLights ::= BIT STRING {
        unavailable (0),
        backFlashLight (1),
        helmetLight (2),
        armLight (3),
        legLight (4),
        wheelLight (5)
    } (SIZE(8))
```

### <a name="VruSizeClass"></a>VruSizeClass

Values:
* **unavailable** (0)<br>
* **--** values 4-14 reserved for later use<br>
```asn1
VruSizeClass ::= ENUMERATED {
        unavailable (0), low(1), medium(2), high (3), max(15)
    }
```

### <a name="VruClusterInformationContainer"></a>VruClusterInformationContainer

Fields:
* clusterId [**ClusterId**](VAM-PDU-Descriptions.md#ClusterId) <br>
* clusterBoundingBoxShape [**ClusterBoundingBoxShape**](#ClusterBoundingBoxShape) <br>
* clusterCardinalitySize [**ClusterCardinalitySize**](VAM-PDU-Descriptions.md#ClusterCardinalitySize) <br>
* clusterProfiles [**ClusterProfiles**](VAM-PDU-Descriptions.md#ClusterProfiles) <br>
```asn1
VruClusterInformationContainer ::= SEQUENCE {
        clusterId                     ClusterId,
        clusterBoundingBoxShape       ClusterBoundingBoxShape,
        clusterCardinalitySize        ClusterCardinalitySize, 
        clusterProfiles               ClusterProfiles,
        ...
    }
```

### <a name="ClusterId"></a>ClusterId

```asn1
ClusterId ::= INTEGER(0..255)
```

### <a name="ClusterBoundingBoxShape"></a>ClusterBoundingBoxShape

Fields:
* clusterRectangle [**AreaRectangle**](VAM-Temp-Imports.md#AreaRectangle) <br>
* clusterCircle [**AreaCircular**](VAM-Temp-Imports.md#AreaCircular) <br>
* clusterPolygon [**AreaPolygon**](VAM-Temp-Imports.md#AreaPolygon) <br>
```asn1
ClusterBoundingBoxShape::= CHOICE {
        clusterRectangle AreaRectangle, 
        clusterCircle    AreaCircular, 
        clusterPolygon   AreaPolygon, 
        ...
    }
```

### <a name="ClusterCardinalitySize"></a>ClusterCardinalitySize

```asn1
ClusterCardinalitySize   ::= INTEGER {unavailable(0), onlyLeader(1)} (0..255)
```

### <a name="ClusterProfiles"></a>ClusterProfiles

```asn1
ClusterProfiles ::= BIT STRING {
        pedestrian(0),
        bicyclist(1),
        motorcyclist(2),
        animal(3)
    } (SIZE(4))
```

### <a name="VruClusterOperationContainer"></a>VruClusterOperationContainer

Fields:
* clusterJoinInfo [**ClusterJoinInfo**](#ClusterJoinInfo)  OPTIONAL<br>
* clusterLeaveInfo [**ClusterLeaveInfo**](#ClusterLeaveInfo)  OPTIONAL<br>
* clusterBreakupInfo [**ClusterBreakupInfo**](#ClusterBreakupInfo)  OPTIONAL<br>
* clusterIdChangeTimeInfo [**VruClusterOpTimestamp**](#VruClusterOpTimestamp)  OPTIONAL<br>
```asn1
VruClusterOperationContainer ::= SEQUENCE {
        clusterJoinInfo         ClusterJoinInfo OPTIONAL,
        clusterLeaveInfo        ClusterLeaveInfo OPTIONAL,
        clusterBreakupInfo      ClusterBreakupInfo OPTIONAL,
        clusterIdChangeTimeInfo VruClusterOpTimestamp OPTIONAL,
        ...
    }
```

### <a name="VruClusterOpTimestamp"></a>VruClusterOpTimestamp

```asn1
VruClusterOpTimestamp ::= INTEGER (1..255)
```

### <a name="ClusterJoinInfo"></a>ClusterJoinInfo

Fields:
* clusterId [**ClusterId**](VAM-PDU-Descriptions.md#ClusterId) <br>
* joinTime [**VruClusterOpTimestamp**](#VruClusterOpTimestamp) <br>
```asn1
ClusterJoinInfo ::= SEQUENCE {
        clusterId       ClusterId,
        joinTime        VruClusterOpTimestamp,
        ...
    }
```

### <a name="ClusterLeaveInfo"></a>ClusterLeaveInfo

Fields:
* clusterId [**ClusterId**](VAM-PDU-Descriptions.md#ClusterId) <br>
* clusterLeaveReason [**ClusterLeaveReason**](#ClusterLeaveReason) <br>
```asn1
ClusterLeaveInfo ::= SEQUENCE {
        clusterId               ClusterId,
        clusterLeaveReason      ClusterLeaveReason,
        ...
    }
```

### <a name="ClusterBreakupInfo"></a>ClusterBreakupInfo

Fields:
* clusterBreakupReason [**ClusterBreakupReason**](#ClusterBreakupReason) <br>
* breakupTime [**VruClusterOpTimestamp**](#VruClusterOpTimestamp) <br>
```asn1
ClusterBreakupInfo ::= SEQUENCE {
        clusterBreakupReason  ClusterBreakupReason,
        breakupTime           VruClusterOpTimestamp,
        ...
    }
```

### <a name="ClusterLeaveReason"></a>ClusterLeaveReason

Values:
* **notProvided** (0)<br>
* **clusterLeaderLost** (1)<br>
* **clusterDisbandedByLeader** (2)<br>
* **outOfClusterBoundingBox** (3)<br>
* **outOfClusterSpeedRange** (4)<br>
* **joiningAnotherCluster** (5)<br>
* **cancelledJoin** (6)<br>
* **failedJoin** (7)<br>
* **safetyCondition** (8)<br>
```asn1
ClusterLeaveReason ::= ENUMERATED {
         notProvided                   (0),
         clusterLeaderLost             (1),    
         clusterDisbandedByLeader      (2),    
         outOfClusterBoundingBox       (3),    
         outOfClusterSpeedRange        (4),
         joiningAnotherCluster         (5),
         cancelledJoin                 (6),
         failedJoin                    (7),
         safetyCondition               (8),
         max(15)            
    }
```

### <a name="ClusterBreakupReason"></a>ClusterBreakupReason

Values:
* **notProvided** (0)<br>
* **clusteringPurposeCompleted** (1)<br>
* **leaderMovedOutOfClusterBoundingBox** (2)<br>
* **joiningAnotherCluster** (3)<br>
* **enteringLowRiskAreaBasedOnMaps** (4)<br>
* **receptionOfCpmContainingCluster** (5)<br>
```asn1
ClusterBreakupReason ::= ENUMERATED {
         notProvided                        (0),
         clusteringPurposeCompleted         (1),
         leaderMovedOutOfClusterBoundingBox (2),    
         joiningAnotherCluster              (3),
         enteringLowRiskAreaBasedOnMaps     (4),
         receptionOfCpmContainingCluster    (5),
         max(15)                                                                 
    }
```

### <a name="VruMotionPredictionContainer"></a>VruMotionPredictionContainer

Fields:
* pathHistory [**PathHistory**](ITS-Container.md#PathHistory)  OPTIONAL<br>
* pathPrediction [**SequenceOfVruPathPoint**](#SequenceOfVruPathPoint)  OPTIONAL<br>
* safeDistance [**SequenceOfVruSafeDistanceIndication**](#SequenceOfVruSafeDistanceIndication)  OPTIONAL<br>
* trajectoryInterceptionIndication [**SequenceOfTrajectoryInterceptionIndication**](#SequenceOfTrajectoryInterceptionIndication)  OPTIONAL<br>
* accelerationChangeIndication [**AccelerationChangeIndication**](#AccelerationChangeIndication)  OPTIONAL<br>
* headingChangeIndication [**HeadingChangeIndication**](#HeadingChangeIndication)  OPTIONAL<br>
* stabilityChangeIndication [**StabilityChangeIndication**](#StabilityChangeIndication)  OPTIONAL<br>
```asn1
VruMotionPredictionContainer ::= SEQUENCE {
        pathHistory                      PathHistory OPTIONAL,
        pathPrediction                   SequenceOfVruPathPoint OPTIONAL,
        safeDistance                     SequenceOfVruSafeDistanceIndication OPTIONAL,
        trajectoryInterceptionIndication SequenceOfTrajectoryInterceptionIndication OPTIONAL,
        accelerationChangeIndication     AccelerationChangeIndication OPTIONAL,
        headingChangeIndication          HeadingChangeIndication OPTIONAL,
        stabilityChangeIndication        StabilityChangeIndication OPTIONAL,
        ...
    }
```

### <a name="SequenceOfVruPathPoint"></a>SequenceOfVruPathPoint

```asn1
SequenceOfVruPathPoint ::= SEQUENCE OF VruPathPoint
```

### <a name="VruPathPoint"></a>VruPathPoint

Fields:
* pathPosition [**ReferencePosition**](ITS-Container.md#ReferencePosition) <br>
* pathDeltaTime [**PathDeltaTime**](ITS-Container.md#PathDeltaTime)      OPTIONAL<br>
```asn1
VruPathPoint ::=  SEQUENCE {
        pathPosition           ReferencePosition,                   
        pathDeltaTime          PathDeltaTime     OPTIONAL
    }
```

### <a name="SequenceOfVruSafeDistanceIndication"></a>SequenceOfVruSafeDistanceIndication

```asn1
SequenceOfVruSafeDistanceIndication ::= 
        SEQUENCE(SIZE(1..8)) OF VruSafeDistanceIndication
```

### <a name="VruSafeDistanceIndication"></a>VruSafeDistanceIndication

Fields:
* subjectStation [**StationID**](ITS-Container.md#StationID)  OPTIONAL<br>
* stationSafeDistanceIndication [**StationSafeDistanceIndication**](#StationSafeDistanceIndication) <br>
* timeToCollision [**ActionDeltaTime**](#ActionDeltaTime)  OPTIONAL<br>
```asn1
VruSafeDistanceIndication ::= SEQUENCE {
        subjectStation                 StationID OPTIONAL,
        stationSafeDistanceIndication  StationSafeDistanceIndication,
        timeToCollision                ActionDeltaTime OPTIONAL,
        ...
    }
```

### <a name="StationSafeDistanceIndication"></a>StationSafeDistanceIndication

```asn1
StationSafeDistanceIndication ::= BOOLEAN
```

### <a name="SequenceOfTrajectoryInterceptionIndication"></a>SequenceOfTrajectoryInterceptionIndication

```asn1
SequenceOfTrajectoryInterceptionIndication ::= 
        SEQUENCE (SIZE(1..8)) OF TrajectoryInterceptionIndication
```

### <a name="TrajectoryInterceptionIndication"></a>TrajectoryInterceptionIndication

Fields:
* subjectStation [**StationID**](ITS-Container.md#StationID)  OPTIONAL<br>
* trajectoryInterceptionProbability [**TrajectoryInterceptionProbability**](#TrajectoryInterceptionProbability) <br>
* trajectoryInterceptionConfidence [**TrajectoryInterceptionConfidence**](#TrajectoryInterceptionConfidence)  OPTIONAL<br>
```asn1
TrajectoryInterceptionIndication  ::= SEQUENCE {
        subjectStation                    StationID OPTIONAL, 
        trajectoryInterceptionProbability TrajectoryInterceptionProbability,
        trajectoryInterceptionConfidence  TrajectoryInterceptionConfidence OPTIONAL,
        ... 
    }
```

### <a name="TrajectoryInterceptionProbability"></a>TrajectoryInterceptionProbability

```asn1
TrajectoryInterceptionProbability ::= INTEGER { zero(0), twoPercent(1), 
        fourPercent(2), oneHundredPercent(50), unavailable (63) } (0..63)
```

### <a name="TrajectoryInterceptionConfidence"></a>TrajectoryInterceptionConfidence

```asn1
TrajectoryInterceptionConfidence ::= INTEGER { lessthan50percent(0), 
        between50and70Percent(1), between70and90Percent(2), above90Percent(3) } (0..3)
```

### <a name="HeadingChangeIndication"></a>HeadingChangeIndication

Fields:
* direction [**LeftOrRight**](#LeftOrRight) <br>
* actionDeltaTime [**ActionDeltaTime**](#ActionDeltaTime) <br>
```asn1
HeadingChangeIndication ::= SEQUENCE {
        direction        LeftOrRight,
        actionDeltaTime  ActionDeltaTime,
        ...
    }
```

### <a name="LeftOrRight"></a>LeftOrRight

```asn1
LeftOrRight ::= ENUMERATED { left, right }
```

### <a name="ActionDeltaTime"></a>ActionDeltaTime

Values:
* **unavailable** (127)<br>
```asn1
ActionDeltaTime ::= INTEGER {zero(0), hundredMs(1), twoHundredMs(2),
        unavailable (127) } (0..127)
```

### <a name="AccelerationChangeIndication"></a>AccelerationChangeIndication

Fields:
* accelOrDecel [**AccelOrDecel**](#AccelOrDecel) <br>
* actionDeltaTime [**ActionDeltaTime**](#ActionDeltaTime) <br>
```asn1
AccelerationChangeIndication ::= SEQUENCE {
         accelOrDecel    AccelOrDecel,
         actionDeltaTime ActionDeltaTime,
         ...
    }
```

### <a name="AccelOrDecel"></a>AccelOrDecel

```asn1
AccelOrDecel ::= ENUMERATED { accelerate, decelerate }
```

### <a name="StabilityChangeIndication"></a>StabilityChangeIndication

Fields:
* lossProbability [**StabilityLossProbability**](#StabilityLossProbability) <br>
* actionDeltaTime [**ActionDeltaTime**](#ActionDeltaTime) <br>
```asn1
StabilityChangeIndication ::= SEQUENCE {
       lossProbability     StabilityLossProbability,
       actionDeltaTime     ActionDeltaTime,
       ...
    }
```

### <a name="StabilityLossProbability"></a>StabilityLossProbability

```asn1
StabilityLossProbability ::= INTEGER { zero(0), twoPercent (1),
        fourPercent(2), unavailable (63) } (0..63)
```



