# ASN.1 module VAM-Temp-Imports
 OID: _{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg1(1) ts(103300) temp-imports(255) version1(1)}_

## Imports:
 * **[ITS-Container](ITS-Container.md)** *{itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts (102894) cdd (2) version (2)}*<br/>

 * **[DSRC](DSRC.md)** *{iso (1) standard (0) signalizedIntersection (19091) profilec(2) dsrc (2) version (2)}*<br/>

## Data Elements:
### <a name="BasicContainer"></a>BasicContainer

Fields:
* stationType [**StationType**](ITS-Container.md#StationType) <br>
* referencePosition [**ReferencePosition**](ITS-Container.md#ReferencePosition) <br>
```asn1
BasicContainer ::= SEQUENCE {
    stationType       StationType, 
    referencePosition ReferencePosition, 
    ...
}
```

### <a name="ItsPduHeader"></a>ItsPduHeader

Fields:
* protocolVersion **INTEGER**  (0..255)<br>
* messageID **INTEGER** { denm(1), cam(2), poi(3), spatem(4), mapem(5), ivim(6), ev-rsr(7), tistpgtransaction(8), srem(9), ssem(10), evcsn(11), saem(12), rtcmem(13), vam(14) } (0..255)<br>
* stationID [**StationID**](ITS-Container.md#StationID) <br>
```asn1
ItsPduHeader ::= SEQUENCE {
    protocolVersion INTEGER (0..255),
    messageID INTEGER{ denm(1), cam(2), poi(3), spatem(4), mapem(5), ivim(6), ev-rsr(7), tistpgtransaction(8), srem(9), ssem(10), evcsn(11), saem(12), rtcmem(13), vam(14) } (0..255),  
    stationID StationID
}
```

### <a name="AreaCircular"></a>AreaCircular

Fields:
* nodeCenterPoint [**OffsetPoint**](#OffsetPoint)  OPTIONAL<br>
* radius [**Radius**](#Radius) <br>
```asn1
AreaCircular ::= SEQUENCE {
    nodeCenterPoint      OffsetPoint OPTIONAL,
    radius               Radius
}
```

### <a name="AreaPolygon"></a>AreaPolygon

Fields:
* polyPointList [**PolyPointList**](#PolyPointList) <br>
```asn1
AreaPolygon ::= SEQUENCE {
    polyPointList   PolyPointList
}
```

### <a name="AreaRectangle"></a>AreaRectangle

Fields:
* nodeCenterPoint [**OffsetPoint**](#OffsetPoint)  OPTIONAL<br>
* semiMajorRangeLength [**SemiRangeLength**](#SemiRangeLength) <br>
* semiMinorRangeLength [**SemiRangeLength**](#SemiRangeLength) <br>
* semiMajorRangeOrientation [**WGS84AngleValue**](#WGS84AngleValue) <br>
* semiHeight [**SemiRangeLength**](#SemiRangeLength)  OPTIONAL<br>
```asn1
AreaRectangle ::= SEQUENCE {
    nodeCenterPoint             OffsetPoint OPTIONAL,
    semiMajorRangeLength        SemiRangeLength,
    semiMinorRangeLength        SemiRangeLength,
    semiMajorRangeOrientation   WGS84AngleValue,
    semiHeight                  SemiRangeLength OPTIONAL
}
```

### <a name="OffsetPoint"></a>OffsetPoint

Fields:
* nodeOffsetPointXY [**NodeOffsetPointXY**](DSRC.md#NodeOffsetPointXY)  (WITH COMPONENTS {..., node-LatLon ABSENT, regional ABSENT})<br>
* nodeOffsetPointZ [**NodeOffsetPointZ**](#NodeOffsetPointZ)  OPTIONAL<br>
```asn1
OffsetPoint ::= SEQUENCE{
    nodeOffsetPointXY   NodeOffsetPointXY (WITH COMPONENTS {..., node-LatLon ABSENT, regional ABSENT}),
    nodeOffsetPointZ    NodeOffsetPointZ OPTIONAL
}
```

### <a name="NodeOffsetPointZ"></a>NodeOffsetPointZ

Fields:
* node-Z1 [**Offset-B10**](DSRC.md#Offset-B10) <br>
* node-Z2 [**Offset-B11**](DSRC.md#Offset-B11) <br>
* node-Z3 [**Offset-B12**](DSRC.md#Offset-B12) <br>
* node-Z4 [**Offset-B13**](DSRC.md#Offset-B13) <br>
* node-Z5 [**Offset-B14**](DSRC.md#Offset-B14) <br>
* node-Z6 [**Offset-B16**](DSRC.md#Offset-B16)   <br>
```asn1
NodeOffsetPointZ ::= CHOICE {
    node-Z1 Offset-B10, 
    node-Z2 Offset-B11, 
    node-Z3 Offset-B12, 
    node-Z4 Offset-B13, 
    node-Z5 Offset-B14, 
    node-Z6 Offset-B16  
}
```

### <a name="Radius"></a>Radius

Values:
* **zeroPointOneMeter** (1)<br>
* **oneMeter** (10)<br>
```asn1
Radius ::= INTEGER {
    zeroPointOneMeter   (1),
    oneMeter            (10)
}  (0..10000)
```

### <a name="PolyPointList"></a>PolyPointList

```asn1
PolyPointList ::= SEQUENCE (SIZE(3..16, ...)) OF OffsetPoint
```

### <a name="SemiRangeLength"></a>SemiRangeLength

Values:
* **zeroPointOneMeter** (1)<br>
* **oneMeter** (10)<br>
```asn1
SemiRangeLength ::= INTEGER {
    zeroPointOneMeter   (1),
    oneMeter            (10)
} (0..10000)
```

### <a name="WGS84AngleValue"></a>WGS84AngleValue

Values:
* **wgs84North** (0)<br>
* **wgs84East** (900)<br>
* **wgs84South** (1800)<br>
* **wgs84West** (2700)<br>
* **unavailable** (3601)<br>
```asn1
WGS84AngleValue ::= INTEGER {
    wgs84North          (0),
    wgs84East           (900),
    wgs84South          (1800),
    wgs84West           (2700),
    unavailable         (3601)
} (0..3601)
```

### <a name="StationType"></a>StationType

```asn1
StationType ::= INTEGER {
    unknown(0), pedestrian(1), cyclist(2), moped(3), motorcycle(4),
    passengerCar(5), bus(6), lightTruck(7), heavyTruck(8), trailer(9), 
    specialVehicles(10), tram(11), lightVruVehicle(12), animal(13), 
    roadSideUnit(15)
}
(0..255)
```



